From 8b0fa389257ed310b9757cf58a3bb8d03f84acfe Mon Sep 17 00:00:00 2001
From: Yann Leboulanger <asterix@lagaule.org>
Date: Sat, 10 Mar 2012 13:32:34 +0100
Subject: [PATCH] don't fail to autogen when there is no plugin

---
 autogen.sh | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/autogen.sh b/autogen.sh
index 4c1b791a52..124c307e11 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -22,8 +22,10 @@
   && ls -1 data/gajim.desktop.in.in \
   src/*.py src/common/*.py src/command_system/implementation/*.py src/common/zeroconf/*.py src/plugins/*.py | grep -v ipython_view.py >> \
   po/POTFILES.in \
-  && echo -e "data/gajim.desktop.in\nsrc/ipython_view.py" > po/POTFILES.skip \
-  && ls -1 plugins/*/*.py plugins/*/*.ui >> po/POTFILES.skip || exit 1
+  && echo -e "data/gajim.desktop.in\nsrc/ipython_view.py" > po/POTFILES.skip  || exit 1
+  if [ $(find plugins/ -name '*.py' | wc -l) -gt 0 ];then
+    ls -1 plugins/*/*.py plugins/*/*.ui >> po/POTFILES.skip
+  fi
   if test -z `which pkg-config 2>/dev/null`;then
     echo "***Error: pkg-config not found***"
 	echo "See README.html for build requirements."
-- 
GitLab